Libprelude - Bug #272

wrong pthread-flag for libprelude on solaris
01/08/2008 12:10 PM -

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Yoann VANDOORSELAERE % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.9.16.2

Resolution: fixed

Description

The configuration script doesn't recognize the correct pthread flag on solaris.
"-pthread" is not supported for gcc/solaris. Instead the correct flag should be "-pthreads”

The compilation test

gcc -std=gnu99 -o conftest -02 -pthread confttest.c >&5
produces an error message

gcc: unrecognized option '-pthread’

but returns 0 so the configuration script doesn't recognize the wrong flag.
simple solution

Changing the flag order in acx_pthread_flags (configure; line 23475)

from
acx_pthread_flags="-pthread -pthreads pthread -mt $acx_pthread_flags"
to

acx_pthread_flags="-pthreads -pthread pthread -mt S$acx_pthread_flags"

History

#1 - 01/10/2008 01:50 PM - Yoann VANDOORSELAERE
- Status changed from New to Closed

- Resolution set to fixed

Thanks for reporting this issue, it has been fixed in [10083:10084].
#2 - 04/29/2009 12:04 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Libprelude

- Category deleted (1)
- Target version deleted (0.9.16.2)
